Create

Creates a new tracking session for a device and automatically starts recording data points. The caller must be the device owner or belong to an org the device is shared with. The device owner remains the session owner (org_id). The device's shared_with_org_ids are copied to the session. The device must not have an active session. Auto-termination is scheduled for ~3 days out at 8 PM PT. Prevent auto termination with `no_auto_termination=True` | auth: api_key | (SessionClientCreate1) -> (PydanticObjectId)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

device_idstringRequired
no_auto_terminationbooleanOptionalDefaults to false

Request

This endpoint expects an object.
schema_versionintegerRequired
off_chrt_reference_idstringOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Must be a URL-safe string of 1-64 characters. Allowed characters: A-Z, a-z, 0-9, ’.’, ’_’, ’~’, ’-’ (RFC 3986 unreserved).

commentsstringOptional
publicbooleanOptionalDefaults to false
off_chrt_shipper_org_idstringOptional
termination_scheduled_for_timestampdatetimeOptional
flight_numberslist of stringsOptional
fa_flight_idslist of stringsOptional

Response

Successful Response

Errors

422
Sessions Create Session V1request Unprocessable Entity Error